package com.zztrapp.zztrapp.bean;

/**
 * Describe HttpResult
 * Created by Bby on 2021/10/2
 * Email bby0856@163.com
 */

public class HttpResult<T> {
    /**
     * code : 200,
     * message: "",
     * result: T,
     * success: true,
     * timestamp: 0
     */

    private String message;
    private T result;
    private boolean success;
    private long timestamp;
    private int code;


    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public T getResult() {
        return result;
    }

    public void setResult(T result) {
        this.result = result;
    }

    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public long getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(int timestamp) {
        this.timestamp = timestamp;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }
}
